Bug 826783 - RFE: ' 'select all' button should have a cancel button on project-wide search page
RFE: ' 'select all' button should have a cancel button on project-wide search...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 20:09 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120708-0026)
Doc Type: Enhancement
Doc Text:
Feature: Uncheck 'select all' will deselect all selected row in search and replace view. Reason: So that users won't be confused by the conflicting user interface. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-30 20:09:45 EDT
Description of problem:

This is related to 817457. 
The 'select all' link should have a function that can undo select all such as "cancel" or "select all" link can changed to "Not select all" once it was clicked.
This will be helpful, saving a lot of clicks on index across all the documents when users want to undo 'select all'.
Comment 1 Alex Eng 2012-07-04 01:11:10 EDT
Fixed in 1.7. Uncheck 'Select all' will deselect all. 

See https://github.com/zanata/zanata/commit/0f276b09d02b4f8148879bd1e4c620edaccd990a
Comment 2 Ding-Yi Chen 2012-07-08 22:22:02 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120708-0026)

However, checking "Select all" will not check the "select all" in individual documents, which is describe as Bug 830006.

Note You need to log in before you can comment on or make changes to this bug.